Add currency
Add a currency with exchange rate. Currency codes follow the ISO 4217 standard. Exchange rates are entered as integers in cents (2 decimals).
Required permissions: FOREIGN_CURRENCY
post/tenants/{tenantUid}/currencies
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
currencyUidstringOptionalPattern:
^[A-Za-z0-9-_]*currencyCodestringRequired
ISO 4217 standard
exchangeRateintegerRequired
in cents (2 decimals)
Responses
201
Example response
application/json
currencyUidstringRequiredPattern:
^[A-Za-z0-9-_]+currencyCodestringRequired
ISO 4217 standard
exchangeRateintegerRequired
in cents (2 decimals)
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/currencies
POST /v2/tenants/{tenantUid}/currencies HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61
{
"currencyUid": "text",
"currencyCode": "text",
"exchangeRate": 1
}201
Example response
{
"currencyUid": "text",
"currencyCode": "text",
"exchangeRate": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}Last updated
Was this helpful?

